org.jbpm.kie.services.impl.admin

## Class TimerInstanceImpl

- java.lang.Object
- - org.jbpm.kie.services.impl.admin.TimerInstanceImpl

- All Implemented Interfaces:
    Serializable, TimerInstance

      public class TimerInstanceImpl
      extends Object
      implements TimerInstance

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TimerInstanceImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `Date` | `getActivationTime()` Returns date when the timer was activated/created
    `long` | `getDelay()` Returns delay that comes from definition
    `long` | `getId()` Returns id of the timer
    `Date` | `getLastFireTime()` Returns date when the timer was fired last time, can be null
    `Date` | `getNextFireTime()` Returns next date when the timer is expected to fire
    `long` | `getPeriod()` Returns period that comes from definition - only for repeatable timers
    `long` | `getProcessInstanceId()` Returns process instance id that timer belongs to
    `int` | `getRepeatLimit()` Returns repeat limit that comes from definition - only for repeatable timers
    `long` | `getSessionId()` Returns session id that was used to create the timer
    `long` | `getTimerId()` Returns unique id of the timer
    `String` | `getTimerName()` Returns name of the timer - taken from timer node in the process
    `int` | `hashCode()`
    `void` | `setActivationTime(Date activationTime)`
    `void` | `setDelay(long delay)`
    `void` | `setId(long id)`
    `void` | `setLastFireTime(Date lastFireTime)`
    `void` | `setNextFireTime(Date nextFireTime)`
    `void` | `setPeriod(long period)`
    `void` | `setProcessInstanceId(long processInstanceId)`
    `void` | `setRepeatLimit(int repeatLimit)`
    `void` | `setSessionId(long sessionId)`
    `void` | `setTimerId(long timerId)`
    `void` | `setTimerName(String timerName)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TimerInstanceImpl

          public TimerInstanceImpl()

  - ### Method Detail

    - #### getTimerName

          public String getTimerName()

      Description copied from interface: `TimerInstance`
      Returns name of the timer - taken from timer node in the process
      Specified by:
        `getTimerName` in interface `TimerInstance`
      Returns:
        timer name

    - #### setTimerName

          public void setTimerName(String timerName)

    - #### getId

          public long getId()

      Description copied from interface: `TimerInstance`
      Returns id of the timer
      Specified by:
        `getId` in interface `TimerInstance`
      Returns:
        timer id

    - #### setId

          public void setId(long id)

    - #### getTimerId

          public long getTimerId()

      Description copied from interface: `TimerInstance`
      Returns unique id of the timer
      Specified by:
        `getTimerId` in interface `TimerInstance`
      Returns:
        timer unique id

    - #### setTimerId

          public void setTimerId(long timerId)

    - #### getActivationTime

          public Date getActivationTime()

      Description copied from interface: `TimerInstance`
      Returns date when the timer was activated/created
      Specified by:
        `getActivationTime` in interface `TimerInstance`
      Returns:
        timer activation/creation date

    - #### setActivationTime

          public void setActivationTime(Date activationTime)

    - #### getLastFireTime

          public Date getLastFireTime()

      Description copied from interface: `TimerInstance`
      Returns date when the timer was fired last time, can be null
      Specified by:
        `getLastFireTime` in interface `TimerInstance`
      Returns:
        timer last fire time

    - #### setLastFireTime

          public void setLastFireTime(Date lastFireTime)

    - #### getNextFireTime

          public Date getNextFireTime()

      Description copied from interface: `TimerInstance`
      Returns next date when the timer is expected to fire
      Specified by:
        `getNextFireTime` in interface `TimerInstance`
      Returns:
        timer next fire time

    - #### setNextFireTime

          public void setNextFireTime(Date nextFireTime)

    - #### getDelay

          public long getDelay()

      Description copied from interface: `TimerInstance`
      Returns delay that comes from definition
      Specified by:
        `getDelay` in interface `TimerInstance`
      Returns:
        timer delay

    - #### setDelay

          public void setDelay(long delay)

    - #### getPeriod

          public long getPeriod()

      Description copied from interface: `TimerInstance`
      Returns period that comes from definition - only for repeatable timers
      Specified by:
        `getPeriod` in interface `TimerInstance`
      Returns:
        timer period

    - #### setPeriod

          public void setPeriod(long period)

    - #### getRepeatLimit

          public int getRepeatLimit()

      Description copied from interface: `TimerInstance`
      Returns repeat limit that comes from definition - only for repeatable timers
      Specified by:
        `getRepeatLimit` in interface `TimerInstance`
      Returns:
        timer repeat limit

    - #### setRepeatLimit

          public void setRepeatLimit(int repeatLimit)

    - #### getProcessInstanceId

          public long getProcessInstanceId()

      Description copied from interface: `TimerInstance`
      Returns process instance id that timer belongs to
      Specified by:
        `getProcessInstanceId` in interface `TimerInstance`
      Returns:
        process instance id

    - #### setProcessInstanceId

          public void setProcessInstanceId(long processInstanceId)

    - #### getSessionId

          public long getSessionId()

      Description copied from interface: `TimerInstance`
      Returns session id that was used to create the timer
      Specified by:
        `getSessionId` in interface `TimerInstance`
      Returns:
        session id

    - #### setSessionId

          public void setSessionId(long sessionId)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2001–2020 JBoss by Red Hat. All rights reserved.